aboutsummaryrefslogtreecommitdiffstats
path: root/INSTALL
diff options
context:
space:
mode:
authorStephane Desneux <stephane.desneux@iot.bzh>2017-03-27 14:32:48 +0200
committerStephane Desneux <stephane.desneux@iot.bzh>2017-03-27 14:49:04 +0200
commit7a305b6779b7cbf7ddf22dbaaf2c168b4c4697aa (patch)
tree3faa8ac6c8c863a872c8ad55c7de9b7c6a396478 /INSTALL
parent00bd644c0fbaf489fe32863d9fea3f3977975624 (diff)
disable interactive mode in usual target 'build'
In Jenkins, the build job will now fail without breaking and waiting for user interaction. This patch also adds a new target 'build-debug' where debug is active. So to summarize: * 'make build-debug' does as before (interactive mode on error) * 'make build' won't go interactive anymore and will simply fail (used by jenkins) Change-Id: I951cecb58d03b48e4779086a9fba9b5a88889fca Signed-off-by: Stephane Desneux <stephane.desneux@iot.bzh>
Diffstat (limited to 'INSTALL')
-rwxr-xr-xINSTALL/setup_image.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/INSTALL/setup_image.sh b/INSTALL/setup_image.sh
index 00a0a50..b7df59d 100755
--- a/INSTALL/setup_image.sh
+++ b/INSTALL/setup_image.sh
@@ -18,12 +18,16 @@ function debug() {
set -x
return 0 # continue
}
-trap debug ERR # on error, run a sleep tp debug container
-
# get the INSTALL dir (the one where we were launched)
INSTDIR=$(cd $(dirname $0) && pwd -P)
echo "Detected container install dir = $INSTDIR"
+if [[ -f $INSTDIR/DEBUG ]]; then
+ echo "#### DEBUG MODE IS ACTIVE ####"
+ trap debug ERR # on error, run a sleep tp debug container
+fi
+
+
################################## variables #################################
# source variables in conf file